## hb-style

hb-style — Font Styles

## Functions

float | hb_style_get_value ()

## Types and Values

enum | hb_style_tag_t

## Includes

    #include <hb.h>

## Description

Functions for fetching style information from fonts.

## Functions

### hb_style_get_value ()

    float
    hb_style_get_value (hb_font_t *font,
                        hb_style_tag_t style_tag);

Searches variation axes of a hb_font_t object for a specific axis first, if not set, first tries to get default style values in `STAT` table then tries to polyfill from different tables of the font.

#### Parameters

font | a hb_font_t object. |
style_tag | a style tag. |

#### Returns

Corresponding axis or default value to a style tag.

Since: 3.0.0

## Types and Values

### enum hb_style_tag_t

Defined by OpenType Design-Variation Axis Tag Registry.

#### Members

HB_STYLE_TAG_ITALIC | Used to vary between non-italic and italic. A value of 0 can be interpreted as "Roman" (non-italic); a value of 1 can be interpreted as (fully) italic. |
HB_STYLE_TAG_OPTICAL_SIZE | Used to vary design to suit different text sizes. Non-zero. Values can be interpreted as text size, in points. |
HB_STYLE_TAG_SLANT_ANGLE | Used to vary between upright and slanted text. Values must be greater than -90 and less than +90. Values can be interpreted as the angle, in counter-clockwise degrees, of oblique slant from whatever the designer considers to be upright for that font design. Typical right-leaning Italic fonts have a negative slant angle (typically around -12) |
HB_STYLE_TAG_SLANT_RATIO | same as `HB_STYLE_TAG_SLANT_ANGLE` expression as ratio. Typical right-leaning Italic fonts have a positive slant ratio (typically around 0.2) |
HB_STYLE_TAG_WIDTH | Used to vary width of text from narrower to wider. Non-zero. Values can be interpreted as a percentage of whatever the font designer considers “normal width” for that font design. |
HB_STYLE_TAG_WEIGHT | Used to vary stroke thicknesses or other design details to give variation from lighter to blacker. Values can be interpreted in direct comparison to values for usWeightClass in the OS/2 table, or the CSS font-weight property. |

Since: 3.0.0